Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Aug 2010 13:43:52 +0200

> There's no analogue to the Emacs's ordinary (C-SPC) active regions in
> other programs, and it's not even clear to me that it's good to set the
> primary selection under most circumstances.  The original point of
> transient mark mode is to let you mark out a stretch of text to to
> operate on (e.g. comment, or search, or undo), and I don't know if it's
> really correct for us to set the primary selection at the same time.

Indeed, I don't think it's good to do so.  The old behavior of setting
PRIMARY only when killing the text seems like the right behavior.
Why would we want to change that?

        Stefan